/* Generated by re2c 0.13.5 on Wed Dec 24 13:44:36 2008 */
#line 1 "Zend/zend_ini_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2009 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Zeev Suraski <zeev@zend.com>                                |
   |          Jani Taskinen <jani@php.net>                                |
   |          Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_ini_scanner.c,v 1.11 2009/01/02 20:36:30 felipe Exp $ */

#include <errno.h>
#include "zend.h"
#include "zend_globals.h"
#include <zend_ini_parser.h>
#include "zend_ini_scanner.h"

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_ini_scanner_defs.h"

#define YYCTYPE   unsigned char
/* allow the scanner to read one null byte after the end of the string (from ZEND_MMAP_AHEAD)
 * so that if will be able to terminate to match the current token (e.g. non-enclosed string) */
#define YYFILL(n) { if (YYCURSOR > YYLIMIT) return 0; }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    YYCURSOR = yytext + x
/* #define yymore()     goto yymore_restart */

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 6
#if ZEND_MMAP_AHEAD < (YYMAXFILL + 1)
# error ZEND_MMAP_AHEAD should be greater than YYMAXFILL
#endif


/* How it works (for the core ini directives):
 * ===========================================
 *
 * 1. Scanner scans file for tokens and passes them to parser.
 * 2. Parser parses the tokens and passes the name/value pairs to the callback
 *    function which stores them in the configuration hash table.
 * 3. Later REGISTER_INI_ENTRIES() is called which triggers the actual
 *    registering of ini entries and uses zend_get_configuration_directive()
 *    to fetch the previously stored name/value pair from configuration hash table
 *    and registers the static ini entries which match the name to the value
 *    into EG(ini_directives) hash table.
 * 4. PATH section entries are used per-request from down to top, each overriding
 *    previous if one exists. zend_alter_ini_entry() is called for each entry.
 *    Settings in PATH section are ZEND_INI_SYSTEM accessible and thus mimics the
 *    php_admin_* directives used within Apache httpd.conf when PHP is compiled as
 *    module for Apache.
 * 5. User defined ini files (like .htaccess for apache) are parsed for each request and
 *    stored in separate hash defined by SAPI.
 */

/* TODO: (ordered by importance :-)
 * ===============================================================================
 *
 *  - Separate constant lookup totally from plain strings (using CONSTANT pattern)
 *  - Add #if .. #else .. #endif and ==, !=, <, > , <=, >= operators
 *  - Add #include "some.ini"
 *  - Allow variables to refer to options also when using parse_ini_file()
 *
 */

/* Globals Macros */
#define SCNG	INI_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id ini_scanner_globals_id;
#else
ZEND_API zend_ini_scanner_globals ini_scanner_globals;
#endif

/* Eat trailing whitespace + extra char */
#define EAT_TRAILING_WHITESPACE_EX(ch)              \
	while (yyleng > 0 && (                          \
		(ch != 'X' && yytext[yyleng - 1] ==  ch) || \
		yytext[yyleng - 1] == '\n' ||               \
		yytext[yyleng - 1] == '\r' ||               \
		yytext[yyleng - 1] == '\t' ||               \
		yytext[yyleng - 1] == ' ')                  \
	) {                                             \
		yyleng--;                                   \
	}

/* Eat trailing whitespace */
#define EAT_TRAILING_WHITESPACE()	EAT_TRAILING_WHITESPACE_EX('X')

#define zend_ini_copy_value(retval, str, len) {  \
	Z_STRVAL_P(retval) = zend_strndup(str, len); \
	Z_STRLEN_P(retval) = len;                    \
	Z_TYPE_P(retval) = IS_STRING;                \
}

#define RETURN_TOKEN(type, str, len) {           \
	zend_ini_copy_value(ini_lval, str, len);     \
	return type;                                 \
}

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT  = YYCURSOR + len;
}

#define ini_filename SCNG(filename)

/* {{{ init_ini_scanner()
*/
static void init_ini_scanner(TSRMLS_D)
{
	SCNG(lineno) = 1;
	SCNG(scanner_mode) = ZEND_INI_SCANNER_NORMAL;
	zend_stack_init(&SCNG(state_stack));
	BEGIN(INITIAL);
}
/* }}} */

/* {{{ shutdown_ini_scanner()
*/
void shutdown_ini_scanner(TSRMLS_D)
{
	zend_stack_destroy(&SCNG(state_stack));
	if (ini_filename) {
		free(ini_filename);
	}
}
/* }}} */

/* {{{ zend_ini_scanner_get_lineno()
*/
int zend_ini_scanner_get_lineno(TSRMLS_D)
{
	return SCNG(lineno);
}
/* }}} */

/* {{{ zend_ini_scanner_get_filename()
*/
char *zend_ini_scanner_get_filename(TSRMLS_D)
{
	return ini_filename ? ini_filename : "Unknown";
}
/* }}} */

/* {{{ zend_ini_open_file_for_scanning()
*/
int zend_ini_open_file_for_scanning(zend_file_handle *fh, int scanner_mode TSRMLS_DC)
{
	char *buf;
	size_t size;

	if (zend_stream_fixup(fh, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = fh;
	yy_scan_buffer(buf, size TSRMLS_CC);
	ini_filename = zend_strndup(fh->filename, strlen(fh->filename));
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_prepare_string_for_scanning()
*/
int zend_ini_prepare_string_for_scanning(char *str, int scanner_mode TSRMLS_DC)
{
	int len = strlen(str);

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = NULL;
	yy_scan_buffer(str, len TSRMLS_CC);
	ini_filename = NULL;
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_escape_string()
 */
static void zend_ini_escape_string(zval *lval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	zend_ini_copy_value(lval, str, len);

	/* convert escape sequences */
	s = t = Z_STRVAL_P(lval);
	end = s + Z_STRLEN_P(lval);

	while (s < end) {
		if (*s == '\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				continue;
			}
			switch (*s) {
				case '"':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					Z_STRLEN_P(lval)--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			SCNG(lineno)++;
		}
		s++;
	}
	*t = 0;
}
/* }}} */

int ini_lex(zval *ini_lval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

/* yymore_restart: */
	/* detect EOF */
	if (YYCURSOR >= YYLIMIT) {
		if (YYSTATE == STATE(ST_VALUE) || YYSTATE == STATE(ST_RAW)) {
			BEGIN(INITIAL);
			return 0;
		}
		return 0;
	}

	/* Eat any UTF-8 BOM we find in the first 3 bytes */
	if (YYCURSOR == SCNG(yy_start) && YYCURSOR + 3 < YYLIMIT) {
		if (memcmp(YYCURSOR, "\xef\xbb\xbf", 3) == 0) {
			YYCURSOR += 3;
			goto restart;
		}
	}


#line 306 "Zend/zend_ini_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 4) {
		if (YYGETCONDITION() < 2) {
			if (YYGETCONDITION() < 1) {
				goto yyc_INITIAL;
			} else {
				goto yyc_ST_OFFSET;
			}
		} else {
			if (YYGETCONDITION() < 3) {
				goto yyc_ST_SECTION_VALUE;
			} else {
				goto yyc_ST_VALUE;
			}
		}
	} else {
		if (YYGETCONDITION() < 6) {
			if (YYGETCONDITION() < 5) {
				goto yyc_ST_SECTION_RAW;
			} else {
				goto yyc_ST_DOUBLE_QUOTES;
			}
		} else {
			if (YYGETCONDITION() < 7) {
				goto yyc_ST_VARNAME;
			} else {
				goto yyc_ST_RAW;
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 160, 160, 128, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 128, 128, 128, 128, 128, 128, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 160, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case '\t':
		case ' ':	goto yy4;
		case '\n':	goto yy6;
		case '\r':	goto yy8;
		case '!':
		case '"':
		case '$':
		case '%':
		case '&':
		case '\'':
		case '(':
		case ')':
		case '*':
		case '+':
		case ',':
		case '-':
		case '.':
		case '/':
		case ':':
		case '<':
		case '>':
		case '?':
		case '@':
		case ']':
		case '^':
		case '{':
		case '|':
		case '}':
		case '~':	goto yy9;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case '_':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy11;
		case ';':	goto yy13;
		case '=':	goto yy14;
		case 'F':
		case 'f':	goto yy16;
		case 'N':
		case 'n':	goto yy17;
		case 'O':
		case 'o':	goto yy18;
		case 'T':
		case 't':	goto yy19;
		case 'Y':
		case 'y':	goto yy20;
		case '[':	goto yy21;
		default:	goto yy2;
		}
yy2:
		YYDEBUG(2, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 488 "Zend/zend_ini_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy56;
yy5:
		YYDEBUG(5, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 476 "Zend/zend_ini_scanner.l"
		{
	/* eat whitespace */
	goto restart;
}
#line 502 "Zend/zend_ini_scanner.c"
yy6:
		YYDEBUG(6, *YYCURSOR);
		++YYCURSOR;
yy7:
		YYDEBUG(7, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 481 "Zend/zend_ini_scanner.l"
		{
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 514 "Zend/zend_ini_scanner.c"
yy8:
		YYDEBUG(8, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy54;
		goto yy7;
yy9:
		YYDEBUG(9, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(10, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 431 "Zend/zend_ini_scanner.l"
		{ /* Disallow these chars outside option values */
	return yytext[0];
}
#line 529 "Zend/zend_ini_scanner.c"
yy11:
		YYDEBUG(11, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy24;
yy12:
		YYDEBUG(12, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 391 "Zend/zend_ini_scanner.l"
		{ /* Get option name */
	RETURN_TOKEN(TC_LABEL, yytext, yyleng);
}
#line 542 "Zend/zend_ini_scanner.c"
yy13:
		YYDEBUG(13, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy50;
yy14:
		YYDEBUG(14, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy48;
yy15:
		YYDEBUG(15, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 395 "Zend/zend_ini_scanner.l"
		{ /* Start option value */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_VALUE TSRMLS_CC);
	}
	return '=';
}
#line 565 "Zend/zend_ini_scanner.c"
yy16:
		YYDEBUG(16, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy44;
		if (yych == 'a') goto yy44;
		goto yy24;
yy17:
		YYDEBUG(17, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'O') goto yy40;
			if (yych <= 'T') goto yy24;
			goto yy41;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy24;
				goto yy40;
			} else {
				if (yych == 'u') goto yy41;
				goto yy24;
			}
		}
yy18:
		YYDEBUG(18, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'N') {
			if (yych == 'F') goto yy35;
			if (yych <= 'M') goto yy24;
			goto yy29;
		} else {
			if (yych <= 'f') {
				if (yych <= 'e') goto yy24;
				goto yy35;
			} else {
				if (yych == 'n') goto yy29;
				goto yy24;
			}
		}
yy19:
		YYDEBUG(19, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy33;
		if (yych == 'r') goto yy33;
		goto yy24;
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy25;
		if (yych == 'e') goto yy25;
		goto yy24;
yy21:
		YYDEBUG(21, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(22, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 329 "Zend/zend_ini_scanner.l"
		{ /* Section start */
	/* Enter section data lookup state */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_SECTION_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_SECTION_VALUE TSRMLS_CC);
	}
	return TC_SECTION;
}
#line 631 "Zend/zend_ini_scanner.c"
yy23:
		YYDEBUG(23, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy24:
		YYDEBUG(24, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy12;
yy25:
		YYDEBUG(25, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy29;
		if (yych == 's') goto yy29;
		goto yy24;
yy26:
		YYDEBUG(26, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(27, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy26;
		}
		YYDEBUG(28, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 354 "Zend/zend_ini_scanner.l"
		{ /* Start of option with offset */
	/* Eat trailing whitespace and [ */
	EAT_TRAILING_WHITESPACE_EX('[');

	/* Enter offset lookup state */
	yy_push_state(ST_OFFSET TSRMLS_CC);

	RETURN_TOKEN(TC_OFFSET, yytext, yyleng);
}
#line 671 "Zend/zend_ini_scanner.c"
yy29:
		YYDEBUG(29, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy32;
yy30:
		YYDEBUG(30, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 383 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 687 "Zend/zend_ini_scanner.c"
yy31:
		YYDEBUG(31, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy32:
		YYDEBUG(32, *YYCURSOR);
		if (yych == '\t') goto yy31;
		if (yych == ' ') goto yy31;
		goto yy30;
yy33:
		YYDEBUG(33, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy34;
		if (yych != 'u') goto yy24;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy29;
		if (yych == 'e') goto yy29;
		goto yy24;
yy35:
		YYDEBUG(35, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy36;
		if (yych != 'f') goto yy24;
yy36:
		YYDEBUG(36, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy39;
yy37:
		YYDEBUG(37, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 387 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 729 "Zend/zend_ini_scanner.c"
yy38:
		YYDEBUG(38, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy39:
		YYDEBUG(39, *YYCURSOR);
		if (yych == '\t') goto yy38;
		if (yych == ' ') goto yy38;
		goto yy37;
yy40:
		YYDEBUG(40, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'Z') {
			if (yych <= '9') {
				if (yych <= ',') goto yy39;
				if (yych == '/') goto yy39;
				goto yy23;
			} else {
				if (yych <= '@') goto yy39;
				if (yych == 'N') goto yy43;
				goto yy23;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '[') goto yy26;
				if (yych == '_') goto yy23;
				goto yy39;
			} else {
				if (yych == 'n') goto yy43;
				if (yych <= 'z') goto yy23;
				goto yy39;
			}
		}
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy42;
		if (yych != 'l') goto yy24;
yy42:
		YYDEBUG(42, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy36;
		if (yych == 'l') goto yy36;
		goto yy24;
yy43:
		YYDEBUG(43, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy36;
		if (yych == 'e') goto yy36;
		goto yy24;
yy44:
		YYDEBUG(44, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy45;
		if (yych != 'l') goto yy24;
yy45:
		YYDEBUG(45, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy46;
		if (yych != 's') goto yy24;
yy46:
		YYDEBUG(46, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy36;
		if (yych == 'e') goto yy36;
		goto yy24;
yy47:
		YYDEBUG(47, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy48:
		YYDEBUG(48, *YYCURSOR);
		if (yych == '\t') goto yy47;
		if (yych == ' ') goto yy47;
		goto yy15;
yy49:
		YYDEBUG(49, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy50:
		YYDEBUG(50, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy49;
		}
		if (yych >= '\r') goto yy53;
yy51:
		YYDEBUG(51, *YYCURSOR);
		++YYCURSOR;
yy52:
		YYDEBUG(52, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 486 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 830 "Zend/zend_ini_scanner.c"
yy53:
		YYDEBUG(53, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy51;
		goto yy52;
yy54:
		YYDEBUG(54, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy7;
yy55:
		YYDEBUG(55, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy56:
		YYDEBUG(56, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy5;
				if (yych <= '\t') goto yy55;
				goto yy54;
			} else {
				if (yych != '\r') goto yy5;
			}
		} else {
			if (yych <= ';') {
				if (yych <= ' ') goto yy55;
				if (yych <= ':') goto yy5;
				goto yy49;
			} else {
				if (yych == '=') goto yy47;
				goto yy5;
			}
		}
		YYDEBUG(57, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy54;
		goto yy7;
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16, 144,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  64,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
		};
		YYDEBUG(58, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych == '"') goto yy62;
		} else {
			if (yych <= '$') goto yy64;
			if (yych == '\\') goto yy66;
		}
		YYDEBUG(60, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy70;
yy61:
		YYDEBUG(61, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 458 "Zend/zend_ini_scanner.l"
		{ /* Escape double quoted string contents */
	if(yyleng > 1 && yytext[yyleng-1] == '"' && yytext[yyleng-2] == '\\') {
		yyless(yyleng-1);
		yyleng--;
	}
	zend_ini_escape_string(ini_lval, yytext, yyleng, '"' TSRMLS_CC);
	return TC_QUOTED_STRING;
}
#line 933 "Zend/zend_ini_scanner.c"
yy62:
		YYDEBUG(62, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy84;
yy63:
		YYDEBUG(63, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 467 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string ends */
	yy_pop_state(TSRMLS_C);
	return '"';
}
#line 947 "Zend/zend_ini_scanner.c"
yy64:
		YYDEBUG(64, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '\\') {
			if (yych <= 0x00) goto yy65;
			if (yych <= '[') goto yy69;
			goto yy73;
		} else {
			if (yych == '{') goto yy81;
			goto yy69;
		}
yy65:
		YYDEBUG(65, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 966 "Zend/zend_ini_scanner.c"
yy66:
		YYDEBUG(66, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych != '"') goto yy69;
		YYDEBUG(67, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy68;
		if (yych != '\r') goto yy69;
yy68:
		YYDEBUG(68, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 0) {
			goto yy61;
		} else {
			goto yy65;
		}
yy69:
		YYDEBUG(69, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy70:
		YYDEBUG(70, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy69;
		}
		if (yych <= '#') goto yy61;
		if (yych <= '$') goto yy72;
		YYDEBUG(71, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych == '"') goto yy78;
		goto yy69;
yy72:
		YYDEBUG(72, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy68;
			if (yych <= '[') goto yy69;
		} else {
			if (yych == '{') goto yy68;
			goto yy69;
		}
yy73:
		YYDEBUG(73, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy74;
		}
		if (yych == '\\') goto yy76;
		goto yy69;
yy74:
		YYDEBUG(74, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(75, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy74;
		}
		if (yych == '\\') goto yy79;
		goto yy69;
yy76:
		YYDEBUG(76, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(77, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy69;
		}
		if (yych <= '#') goto yy78;
		if (yych <= '$') goto yy74;
		goto yy76;
yy78:
		YYDEBUG(78, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych == '\n') goto yy61;
		if (yych == '\r') goto yy61;
		goto yy69;
yy79:
		YYDEBUG(79, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy69;
		}
		if (yych <= '#') goto yy80;
		if (yych <= '$') goto yy74;
		goto yy76;
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy74;
		}
		if (yych == '\\') goto yy76;
		goto yy69;
yy81:
		YYDEBUG(81, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(82, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1087 "Zend/zend_ini_scanner.c"
yy83:
		YYDEBUG(83, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy84:
		YYDEBUG(84, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy83;
		}
		goto yy63;
	}
/* *********************************** */
yyc_ST_OFFSET:
	{
		static const unsigned char yybm[] = {
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66, 194,  64,  66,  66,  64,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			194,  66,  64,  66,  68,  66,  66,   0, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			114, 114, 114, 114, 114, 114, 114, 114, 
			114, 114,  66,  64,  66,  66,  66,  66, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  72,  64,  66,  82, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
		};
		YYDEBUG(85, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy87;
					if (yych <= '\t') goto yy89;
					goto yy90;
				} else {
					if (yych == '\r') goto yy90;
					if (yych >= ' ') goto yy89;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy92;
				} else {
					if (yych <= '$') goto yy94;
					if (yych == '\'') goto yy95;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy96;
					if (yych <= '.') goto yy97;
				} else {
					if (yych <= '9') goto yy98;
					if (yych == ';') goto yy90;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy100;
					if (yych >= '\\') goto yy102;
				} else {
					if (yych <= ']') goto yy103;
					if (yych <= '`') goto yy87;
					if (yych <= 'z') goto yy100;
				}
			}
		}
yy87:
		YYDEBUG(87, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy106;
yy88:
		YYDEBUG(88, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 449 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 1190 "Zend/zend_ini_scanner.c"
yy89:
		YYDEBUG(89, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy132;
		}
		if (yych == '"') goto yy134;
		if (yych == ']') goto yy135;
		goto yy106;
yy90:
		YYDEBUG(90, *YYCURSOR);
		++YYCURSOR;
yy91:
		YYDEBUG(91, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1211 "Zend/zend_ini_scanner.c"
yy92:
		YYDEBUG(92, *YYCURSOR);
		++YYCURSOR;
yy93:
		YYDEBUG(93, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 1223 "Zend/zend_ini_scanner.c"
yy94:
		YYDEBUG(94, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy91;
			if (yych <= '[') goto yy105;
			goto yy110;
		} else {
			if (yych == '{') goto yy130;
			goto yy105;
		}
yy95:
		YYDEBUG(95, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy126;
		}
		goto yy91;
yy96:
		YYDEBUG(96, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy106;
		if (yych <= '9') goto yy124;
		goto yy106;
yy97:
		YYDEBUG(97, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy106;
		if (yych <= '9') goto yy122;
		goto yy106;
yy98:
		YYDEBUG(98, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy99;
				if (yych <= '\f') goto yy106;
			} else {
				if (yych == '"') goto yy99;
				if (yych <= '&') goto yy106;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy118;
				if (yych <= '/') goto yy106;
				goto yy120;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy106;
				} else {
					if (yych != ']') goto yy106;
				}
			}
		}
yy99:
		YYDEBUG(99, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 1289 "Zend/zend_ini_scanner.c"
yy100:
		YYDEBUG(100, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy116;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy106;
			} else {
				if (yych <= '\r') goto yy101;
				if (yych <= '!') goto yy106;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy106;
			} else {
				if (yych <= ';') goto yy101;
				if (yych != ']') goto yy106;
			}
		}
yy101:
		YYDEBUG(101, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 1319 "Zend/zend_ini_scanner.c"
yy102:
		YYDEBUG(102, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy105;
yy103:
		YYDEBUG(103, *YYCURSOR);
		++YYCURSOR;
yy104:
		YYDEBUG(104, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 364 "Zend/zend_ini_scanner.l"
		{ /* End of section or an option offset */
	BEGIN(INITIAL);
	return ']';
}
#line 1335 "Zend/zend_ini_scanner.c"
yy105:
		YYDEBUG(105, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy106:
		YYDEBUG(106, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy105;
		}
		if (yych == '$') goto yy108;
		if (yych != '\\') goto yy88;
yy107:
		YYDEBUG(107, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy105;
yy108:
		YYDEBUG(108, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy109;
			if (yych <= '[') goto yy105;
			goto yy110;
		} else {
			if (yych != '{') goto yy105;
		}
yy109:
		YYDEBUG(109, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy88;
			} else {
				goto yy91;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy99;
			} else {
				goto yy101;
			}
		}
yy110:
		YYDEBUG(110, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy111;
		}
		if (yych == '\\') goto yy113;
		goto yy105;
yy111:
		YYDEBUG(111, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(112, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy111;
		}
		if (yych == '\\') goto yy115;
		goto yy105;
yy113:
		YYDEBUG(113, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(114, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy111;
		}
		if (yych == '\\') goto yy113;
		goto yy105;
yy115:
		YYDEBUG(115, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy111;
		}
		if (yych == '\\') goto yy113;
		goto yy105;
yy116:
		YYDEBUG(116, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(117, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy116;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy101;
				if (yych <= '\f') goto yy105;
				goto yy101;
			} else {
				if (yych == '"') goto yy101;
				if (yych <= '#') goto yy105;
				goto yy108;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy101;
				if (yych <= ':') goto yy105;
				goto yy101;
			} else {
				if (yych <= '[') goto yy105;
				if (yych <= '\\') goto yy107;
				if (yych <= ']') goto yy101;
				goto yy105;
			}
		}
yy118:
		YYDEBUG(118, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(119, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy118;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy99;
				if (yych <= '\f') goto yy105;
				goto yy99;
			} else {
				if (yych == '"') goto yy99;
				if (yych <= '#') goto yy105;
				goto yy108;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy99;
				if (yych <= ':') goto yy105;
				goto yy99;
			} else {
				if (yych <= '[') goto yy105;
				if (yych <= '\\') goto yy107;
				if (yych <= ']') goto yy99;
				goto yy105;
			}
		}
yy120:
		YYDEBUG(120, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(121, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy105;
					goto yy99;
				} else {
					if (yych == '\r') goto yy99;
					goto yy105;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy99;
					goto yy105;
				} else {
					if (yych <= '$') goto yy108;
					if (yych <= '&') goto yy105;
					goto yy99;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy105;
					goto yy118;
				} else {
					if (yych <= '/') goto yy105;
					if (yych <= '9') goto yy120;
					goto yy105;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy99;
					goto yy105;
				} else {
					if (yych <= '\\') goto yy107;
					if (yych <= ']') goto yy99;
					goto yy105;
				}
			}
		}
yy122:
		YYDEBUG(122, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(123, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy99;
				if (yych <= '\f') goto yy105;
				goto yy99;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy105;
					goto yy99;
				} else {
					if (yych == '$') goto yy108;
					goto yy105;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy99;
				if (yych <= '/') goto yy105;
				if (yych <= '9') goto yy122;
				goto yy105;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy99;
					goto yy105;
				} else {
					if (yych <= '\\') goto yy107;
					if (yych <= ']') goto yy99;
					goto yy105;
				}
			}
		}
yy124:
		YYDEBUG(124, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(125, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy99;
				if (yych <= '\f') goto yy105;
				goto yy99;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy105;
					goto yy99;
				} else {
					if (yych == '$') goto yy108;
					goto yy105;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy99;
				if (yych <= '/') goto yy105;
				if (yych <= '9') goto yy124;
				goto yy105;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy99;
					goto yy105;
				} else {
					if (yych <= '\\') goto yy107;
					if (yych <= ']') goto yy99;
					goto yy105;
				}
			}
		}
yy126:
		YYDEBUG(126, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(127, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy126;
		}
		YYDEBUG(128, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(129, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1634 "Zend/zend_ini_scanner.c"
yy130:
		YYDEBUG(130, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(131, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1645 "Zend/zend_ini_scanner.c"
yy132:
		YYDEBUG(132, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(133, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy132;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy88;
				if (yych <= '\f') goto yy105;
				goto yy88;
			} else {
				if (yych == '"') goto yy134;
				if (yych <= '#') goto yy105;
				goto yy108;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy88;
				if (yych <= ':') goto yy105;
				goto yy88;
			} else {
				if (yych <= '[') goto yy105;
				if (yych <= '\\') goto yy107;
				if (yych <= ']') goto yy135;
				goto yy105;
			}
		}
yy134:
		YYDEBUG(134, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy93;
yy135:
		YYDEBUG(135, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy104;
	}
/* *********************************** */
yyc_ST_RAW:
	{
		static const unsigned char yybm[] = {
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 224,   0, 160, 160,   0, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			224, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160,  32, 160,  32, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
		};
		YYDEBUG(136, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy138;
				if (yych <= '\t') goto yy140;
				goto yy141;
			} else {
				if (yych == '\r') goto yy143;
			}
		} else {
			if (yych <= ';') {
				if (yych <= ' ') goto yy140;
				if (yych >= ';') goto yy144;
			} else {
				if (yych == '=') goto yy146;
			}
		}
yy138:
		YYDEBUG(138, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy157;
yy139:
		YYDEBUG(139, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 404 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	/* Eat leading and trailing double quotes */
	if (yytext[0] == '"' && yytext[yyleng - 1] == '"') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1761 "Zend/zend_ini_scanner.c"
yy140:
		YYDEBUG(140, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy153;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy152;
			goto yy157;
		} else {
			if (yych <= '\r') goto yy155;
			if (yych == ';') goto yy147;
			goto yy157;
		}
yy141:
		YYDEBUG(141, *YYCURSOR);
		++YYCURSOR;
yy142:
		YYDEBUG(142, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 417 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1789 "Zend/zend_ini_scanner.c"
yy143:
		YYDEBUG(143, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy152;
		goto yy142;
yy144:
		YYDEBUG(144, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy148;
yy145:
		YYDEBUG(145, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 492 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL) */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 1808 "Zend/zend_ini_scanner.c"
yy146:
		YYDEBUG(146, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy145;
yy147:
		YYDEBUG(147, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy148:
		YYDEBUG(148, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy147;
		}
		if (yych >= '\r') goto yy151;
yy149:
		YYDEBUG(149, *YYCURSOR);
		++YYCURSOR;
yy150:
		YYDEBUG(150, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 486 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1836 "Zend/zend_ini_scanner.c"
yy151:
		YYDEBUG(151, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy149;
		goto yy150;
yy152:
		YYDEBUG(152, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy142;
yy153:
		YYDEBUG(153, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(154, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy153;
		}
		if (yych <= '\r') {
			if (yych == '\n') goto yy152;
			if (yych <= '\f') goto yy156;
		} else {
			if (yych <= ';') {
				if (yych <= ':') goto yy156;
				goto yy147;
			} else {
				if (yych == '=') goto yy139;
				goto yy156;
			}
		}
yy155:
		YYDEBUG(155, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy152;
		goto yy142;
yy156:
		YYDEBUG(156, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy157:
		YYDEBUG(157, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy156;
		}
		goto yy139;
	}
/* *********************************** */
yyc_ST_SECTION_RAW:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(158, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '\f') {
			if (yych == '\n') goto yy162;
		} else {
			if (yych <= '\r') goto yy162;
			if (yych == ']') goto yy164;
		}
		YYDEBUG(160, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy171;
yy161:
		YYDEBUG(161, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 413 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1942 "Zend/zend_ini_scanner.c"
yy162:
		YYDEBUG(162, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(163, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1952 "Zend/zend_ini_scanner.c"
yy164:
		YYDEBUG(164, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy167;
yy165:
		YYDEBUG(165, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 348 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 1967 "Zend/zend_ini_scanner.c"
yy166:
		YYDEBUG(166, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy167:
		YYDEBUG(167, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy166;
		}
		if (yych == '\n') goto yy168;
		if (yych == '\r') goto yy169;
		goto yy165;
yy168:
		YYDEBUG(168, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy165;
yy169:
		YYDEBUG(169, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy168;
		goto yy165;
yy170:
		YYDEBUG(170, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy171:
		YYDEBUG(171, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy170;
		}
		goto yy161;
	}
/* *********************************** */
yyc_ST_SECTION_VALUE:
	{
		static const unsigned char yybm[] = {
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 134, 128, 132, 132, 128, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			134, 132, 128, 132, 136, 132, 132,   0, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			228, 228, 228, 228, 228, 228, 228, 228, 
			228, 228, 132, 128, 132, 132, 132, 132, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 144, 128, 132, 164, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
		};
		YYDEBUG(172, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy174;
					if (yych <= '\t') goto yy176;
					goto yy177;
				} else {
					if (yych == '\r') goto yy177;
					if (yych >= ' ') goto yy176;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy179;
				} else {
					if (yych <= '$') goto yy181;
					if (yych == '\'') goto yy182;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy183;
					if (yych <= '.') goto yy184;
				} else {
					if (yych <= '9') goto yy185;
					if (yych == ';') goto yy177;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy187;
					if (yych >= '\\') goto yy189;
				} else {
					if (yych <= ']') goto yy190;
					if (yych <= '`') goto yy174;
					if (yych <= 'z') goto yy187;
				}
			}
		}
yy174:
		YYDEBUG(174, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy197;
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 449 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2092 "Zend/zend_ini_scanner.c"
yy176:
		YYDEBUG(176, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy223;
			goto yy197;
		} else {
			if (yych <= ' ') goto yy223;
			if (yych == '"') goto yy225;
			goto yy197;
		}
yy177:
		YYDEBUG(177, *YYCURSOR);
		++YYCURSOR;
yy178:
		YYDEBUG(178, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 2115 "Zend/zend_ini_scanner.c"
yy179:
		YYDEBUG(179, *YYCURSOR);
		++YYCURSOR;
yy180:
		YYDEBUG(180, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2127 "Zend/zend_ini_scanner.c"
yy181:
		YYDEBUG(181, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy178;
			if (yych <= '[') goto yy196;
			goto yy201;
		} else {
			if (yych == '{') goto yy221;
			goto yy196;
		}
yy182:
		YYDEBUG(182, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy217;
		}
		goto yy178;
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy197;
		if (yych <= '9') goto yy215;
		goto yy197;
yy184:
		YYDEBUG(184, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy197;
		if (yych <= '9') goto yy213;
		goto yy197;
yy185:
		YYDEBUG(185, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy186;
				if (yych <= '\f') goto yy197;
			} else {
				if (yych == '"') goto yy186;
				if (yych <= '&') goto yy197;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy209;
				if (yych <= '/') goto yy197;
				goto yy211;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy197;
				} else {
					if (yych != ']') goto yy197;
				}
			}
		}
yy186:
		YYDEBUG(186, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2193 "Zend/zend_ini_scanner.c"
yy187:
		YYDEBUG(187, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy207;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy197;
			} else {
				if (yych <= '\r') goto yy188;
				if (yych <= '!') goto yy197;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy197;
			} else {
				if (yych <= ';') goto yy188;
				if (yych != ']') goto yy197;
			}
		}
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2223 "Zend/zend_ini_scanner.c"
yy189:
		YYDEBUG(189, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy196;
yy190:
		YYDEBUG(190, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy193;
yy191:
		YYDEBUG(191, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 348 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 2242 "Zend/zend_ini_scanner.c"
yy192:
		YYDEBUG(192, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy193:
		YYDEBUG(193, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy192;
		}
		if (yych == '\n') goto yy194;
		if (yych == '\r') goto yy195;
		goto yy191;
yy194:
		YYDEBUG(194, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy191;
yy195:
		YYDEBUG(195, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy194;
		goto yy191;
yy196:
		YYDEBUG(196, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy197:
		YYDEBUG(197, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy196;
		}
		if (yych == '$') goto yy199;
		if (yych != '\\') goto yy175;
yy198:
		YYDEBUG(198, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy196;
yy199:
		YYDEBUG(199, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy200;
			if (yych <= '[') goto yy196;
			goto yy201;
		} else {
			if (yych != '{') goto yy196;
		}
yy200:
		YYDEBUG(200, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy175;
			} else {
				goto yy178;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy186;
			} else {
				goto yy188;
			}
		}
yy201:
		YYDEBUG(201, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy202;
		}
		if (yych == '\\') goto yy204;
		goto yy196;
yy202:
		YYDEBUG(202, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(203, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy202;
		}
		if (yych == '\\') goto yy206;
		goto yy196;
yy204:
		YYDEBUG(204, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(205, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy202;
		}
		if (yych == '\\') goto yy204;
		goto yy196;
yy206:
		YYDEBUG(206, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy202;
		}
		if (yych == '\\') goto yy204;
		goto yy196;
yy207:
		YYDEBUG(207, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(208, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy207;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy188;
				if (yych <= '\f') goto yy196;
				goto yy188;
			} else {
				if (yych == '"') goto yy188;
				if (yych <= '#') goto yy196;
				goto yy199;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy188;
				if (yych <= ':') goto yy196;
				goto yy188;
			} else {
				if (yych <= '[') goto yy196;
				if (yych <= '\\') goto yy198;
				if (yych <= ']') goto yy188;
				goto yy196;
			}
		}
yy209:
		YYDEBUG(209, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(210, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy209;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy186;
				if (yych <= '\f') goto yy196;
				goto yy186;
			} else {
				if (yych == '"') goto yy186;
				if (yych <= '#') goto yy196;
				goto yy199;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy186;
				if (yych <= ':') goto yy196;
				goto yy186;
			} else {
				if (yych <= '[') goto yy196;
				if (yych <= '\\') goto yy198;
				if (yych <= ']') goto yy186;
				goto yy196;
			}
		}
yy211:
		YYDEBUG(211, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(212, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy196;
					goto yy186;
				} else {
					if (yych == '\r') goto yy186;
					goto yy196;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy186;
					goto yy196;
				} else {
					if (yych <= '$') goto yy199;
					if (yych <= '&') goto yy196;
					goto yy186;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy196;
					goto yy209;
				} else {
					if (yych <= '/') goto yy196;
					if (yych <= '9') goto yy211;
					goto yy196;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy186;
					goto yy196;
				} else {
					if (yych <= '\\') goto yy198;
					if (yych <= ']') goto yy186;
					goto yy196;
				}
			}
		}
yy213:
		YYDEBUG(213, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(214, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy186;
				if (yych <= '\f') goto yy196;
				goto yy186;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy196;
					goto yy186;
				} else {
					if (yych == '$') goto yy199;
					goto yy196;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy186;
				if (yych <= '/') goto yy196;
				if (yych <= '9') goto yy213;
				goto yy196;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy186;
					goto yy196;
				} else {
					if (yych <= '\\') goto yy198;
					if (yych <= ']') goto yy186;
					goto yy196;
				}
			}
		}
yy215:
		YYDEBUG(215, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(216, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy186;
				if (yych <= '\f') goto yy196;
				goto yy186;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy196;
					goto yy186;
				} else {
					if (yych == '$') goto yy199;
					goto yy196;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy186;
				if (yych <= '/') goto yy196;
				if (yych <= '9') goto yy215;
				goto yy196;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy186;
					goto yy196;
				} else {
					if (yych <= '\\') goto yy198;
					if (yych <= ']') goto yy186;
					goto yy196;
				}
			}
		}
yy217:
		YYDEBUG(217, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(218, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy217;
		}
		YYDEBUG(219, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(220, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 2563 "Zend/zend_ini_scanner.c"
yy221:
		YYDEBUG(221, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(222, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 2574 "Zend/zend_ini_scanner.c"
yy223:
		YYDEBUG(223, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(224, *YYCURSOR);
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy196;
				if (yych <= '\t') goto yy223;
				if (yych <= '\n') goto yy175;
				goto yy196;
			} else {
				if (yych <= 0x1F) {
					if (yych <= '\r') goto yy175;
					goto yy196;
				} else {
					if (yych <= ' ') goto yy223;
					if (yych <= '!') goto yy196;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '$') {
					if (yych <= '#') goto yy196;
					goto yy199;
				} else {
					if (yych == '\'') goto yy175;
					goto yy196;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy175;
					goto yy196;
				} else {
					if (yych <= '\\') goto yy198;
					if (yych <= ']') goto yy175;
					goto yy196;
				}
			}
		}
yy225:
		YYDEBUG(225, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy180;
	}
/* *********************************** */
yyc_ST_VALUE:
	{
		static const unsigned char yybm[] = {
			160, 162, 162, 162, 162, 162, 162, 162, 
			162, 176, 128, 162, 162, 128, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			176, 160, 160, 162, 168, 162, 160,  32, 
			160, 160, 162, 162, 162, 162, 162, 162, 
			230, 230, 230, 230, 230, 230, 230, 230, 
			230, 230, 162, 160, 162, 160, 162, 162, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 162, 162, 162, 166, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 160, 162, 160, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
		};
		YYDEBUG(226, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:	goto yy228;
		case '\t':
		case ' ':	goto yy232;
		case '\n':	goto yy234;
		case '\r':	goto yy236;
		case '!':
		case '&':
		case '(':
		case ')':
		case '|':
		case '~':	goto yy237;
		case '"':	goto yy239;
		case '$':	goto yy241;
		case '\'':	goto yy242;
		case '-':	goto yy243;
		case '.':	goto yy244;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy245;
		case ';':	goto yy247;
		case '=':	goto yy248;
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy250;
		case 'F':
		case 'f':	goto yy252;
		case 'N':
		case 'n':	goto yy253;
		case 'O':
		case 'o':	goto yy254;
		case 'T':
		case 't':	goto yy255;
		case 'Y':
		case 'y':	goto yy256;
		default:	goto yy230;
		}
yy228:
		YYDEBUG(228, *YYCURSOR);
		++YYCURSOR;
yy229:
		YYDEBUG(229, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 492 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL) */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2758 "Zend/zend_ini_scanner.c"
yy230:
		YYDEBUG(230, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy258;
yy231:
		YYDEBUG(231, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 445 "Zend/zend_ini_scanner.l"
		{ /* Get everything else as option/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2771 "Zend/zend_ini_scanner.c"
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy308;
yy233:
		YYDEBUG(233, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 472 "Zend/zend_ini_scanner.l"
		{
	RETURN_TOKEN(TC_WHITESPACE, yytext, yyleng);
}
#line 2784 "Zend/zend_ini_scanner.c"
yy234:
		YYDEBUG(234, *YYCURSOR);
		++YYCURSOR;
yy235:
		YYDEBUG(235, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 417 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 2797 "Zend/zend_ini_scanner.c"
yy236:
		YYDEBUG(236, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy306;
		goto yy235;
yy237:
		YYDEBUG(237, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy305;
yy238:
		YYDEBUG(238, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 435 "Zend/zend_ini_scanner.l"
		{ /* Boolean operators */
	return yytext[0];
}
#line 2815 "Zend/zend_ini_scanner.c"
yy239:
		YYDEBUG(239, *YYCURSOR);
		++YYCURSOR;
yy240:
		YYDEBUG(240, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2827 "Zend/zend_ini_scanner.c"
yy241:
		YYDEBUG(241, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy229;
			if (yych <= '[') goto yy257;
			goto yy264;
		} else {
			if (yych == '{') goto yy302;
			goto yy257;
		}
yy242:
		YYDEBUG(242, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy298;
		}
		goto yy229;
yy243:
		YYDEBUG(243, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy258;
		if (yych <= '9') goto yy296;
		goto yy258;
yy244:
		YYDEBUG(244, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy258;
		if (yych <= '9') goto yy294;
		goto yy258;
yy245:
		YYDEBUG(245, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '.') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy258;
				} else {
					if (yych <= '\n') goto yy246;
					if (yych <= '\f') goto yy258;
				}
			} else {
				if (yych <= '%') {
					if (yych <= 0x1F) goto yy258;
					if (yych >= '#') goto yy258;
				} else {
					if (yych <= ')') goto yy246;
					if (yych <= '-') goto yy258;
					goto yy290;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy258;
					goto yy292;
				} else {
					if (yych != ';') goto yy258;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy246;
					if (yych <= '{') goto yy258;
				} else {
					if (yych != '~') goto yy258;
				}
			}
		}
yy246:
		YYDEBUG(246, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2907 "Zend/zend_ini_scanner.c"
yy247:
		YYDEBUG(247, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy286;
yy248:
		YYDEBUG(248, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(249, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 439 "Zend/zend_ini_scanner.l"
		{ /* Make = used in option value to trigger error */
	yyless(0);
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2924 "Zend/zend_ini_scanner.c"
yy250:
		YYDEBUG(250, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy259;
		}
		if (yych <= ')') {
			if (yych <= '\f') {
				if (yych <= 0x00) goto yy251;
				if (yych <= 0x08) goto yy258;
				if (yych >= '\v') goto yy258;
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy258;
				} else {
					if (yych <= '"') goto yy251;
					if (yych <= '%') goto yy258;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych == ';') goto yy251;
				if (yych <= '<') goto yy258;
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy258;
				} else {
					if (yych != '~') goto yy258;
				}
			}
		}
yy251:
		YYDEBUG(251, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2964 "Zend/zend_ini_scanner.c"
yy252:
		YYDEBUG(252, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					goto yy258;
				} else {
					if (yych <= '9') goto yy259;
					if (yych == ';') goto yy251;
					goto yy258;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'A') {
					if (yych <= '=') goto yy251;
					if (yych <= '@') goto yy258;
					goto yy282;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych <= 'a') goto yy282;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy253:
		YYDEBUG(253, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'N') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					if (yych <= '\n') goto yy251;
					goto yy258;
				} else {
					if (yych <= '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					if (yych <= '"') goto yy251;
					goto yy258;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					if (yych <= '9') goto yy259;
					goto yy258;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy251;
						goto yy258;
					} else {
						if (yych <= '=') goto yy251;
						if (yych <= '@') goto yy258;
						goto yy259;
					}
				}
			}
		} else {
			if (yych <= 'n') {
				if (yych <= 'Z') {
					if (yych <= 'O') goto yy278;
					if (yych == 'U') goto yy279;
					goto yy259;
				} else {
					if (yych == '_') goto yy259;
					if (yych <= '`') goto yy258;
					goto yy259;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'o') goto yy278;
					if (yych == 'u') goto yy279;
					goto yy259;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy258;
						goto yy251;
					} else {
						if (yych == '~') goto yy251;
						goto yy258;
					}
				}
			}
		}
yy254:
		YYDEBUG(254, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					if (yych <= '\n') goto yy251;
					goto yy258;
				} else {
					if (yych <= '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					if (yych <= '"') goto yy251;
					goto yy258;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					if (yych <= '9') goto yy259;
					goto yy258;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy251;
						goto yy258;
					} else {
						if (yych <= '=') goto yy251;
						if (yych <= '@') goto yy258;
						goto yy259;
					}
				}
			}
		} else {
			if (yych <= 'e') {
				if (yych <= 'Z') {
					if (yych <= 'F') goto yy273;
					if (yych == 'N') goto yy267;
					goto yy259;
				} else {
					if (yych == '_') goto yy259;
					if (yych <= '`') goto yy258;
					goto yy259;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'f') goto yy273;
					if (yych == 'n') goto yy267;
					goto yy259;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy258;
						goto yy251;
					} else {
						if (yych == '~') goto yy251;
						goto yy258;
					}
				}
			}
		}
yy255:
		YYDEBUG(255, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'R') {
					if (yych <= '@') goto yy258;
					if (yych <= 'Q') goto yy259;
					goto yy271;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'r') goto yy271;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy256:
		YYDEBUG(256, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy258;
					if (yych <= 'D') goto yy259;
					goto yy261;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy261;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy257:
		YYDEBUG(257, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy258:
		YYDEBUG(258, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy257;
		}
		if (yych == '$') goto yy262;
		goto yy231;
yy259:
		YYDEBUG(259, *YYCURSOR);
		yyaccept = 4;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(260, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy259;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy251;
					goto yy257;
				} else {
					if (yych <= '\n') goto yy251;
					if (yych <= '\f') goto yy257;
					goto yy251;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy257;
					goto yy251;
				} else {
					if (yych == '$') goto yy262;
					goto yy257;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy251;
					goto yy257;
				} else {
					if (yych == '<') goto yy257;
					goto yy251;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy257;
					goto yy251;
				} else {
					if (yych == '~') goto yy251;
					goto yy257;
				}
			}
		}
yy261:
		YYDEBUG(261, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy258;
					if (yych <= 'R') goto yy259;
					goto yy267;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy267;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy262:
		YYDEBUG(262, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy263;
			if (yych <= '[') goto yy257;
			goto yy264;
		} else {
			if (yych != '{') goto yy257;
		}
yy263:
		YYDEBUG(263, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy231;
				} else {
					goto yy233;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy229;
				} else {
					goto yy246;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy251;
				} else {
					goto yy268;
				}
			} else {
				goto yy275;
			}
		}
yy264:
		YYDEBUG(264, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy265;
		}
		goto yy257;
yy265:
		YYDEBUG(265, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(266, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy265;
		}
		if (yych <= 0x00) goto yy231;
		if (yych == '\\') goto yy264;
		goto yy257;
yy267:
		YYDEBUG(267, *YYCURSOR);
		yyaccept = 5;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy269;
		}
		if (yych <= ';') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy268;
					if (yych <= '\t') goto yy258;
				} else {
					if (yych != '\r') goto yy258;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '"') goto yy268;
					if (yych <= '%') goto yy258;
				} else {
					if (yych <= '/') goto yy258;
					if (yych <= '9') goto yy259;
					if (yych <= ':') goto yy258;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') {
					if (yych != '=') goto yy258;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych <= '^') goto yy258;
					goto yy259;
				}
			} else {
				if (yych <= '{') {
					if (yych <= '`') goto yy258;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych >= 0x7F) goto yy258;
				}
			}
		}
yy268:
		YYDEBUG(268, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 383 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 3460 "Zend/zend_ini_scanner.c"
yy269:
		YYDEBUG(269, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(270, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy269;
		}
		goto yy268;
yy271:
		YYDEBUG(271, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'U') {
					if (yych <= '@') goto yy258;
					if (yych <= 'T') goto yy259;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'u') goto yy272;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy272:
		YYDEBUG(272, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy258;
					if (yych <= 'D') goto yy259;
					goto yy267;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy267;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy273:
		YYDEBUG(273, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'F') {
					if (yych <= '@') goto yy258;
					if (yych <= 'E') goto yy259;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'f') goto yy274;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy274:
		YYDEBUG(274, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy259;
		}
		if (yych <= '%') {
			if (yych <= '\f') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy258;
				} else {
					if (yych <= '\t') goto yy276;
					if (yych >= '\v') goto yy258;
				}
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy258;
				} else {
					if (yych <= ' ') goto yy276;
					if (yych >= '#') goto yy258;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych >= '*') goto yy258;
				} else {
					if (yych == '<') goto yy258;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy258;
				} else {
					if (yych != '~') goto yy258;
				}
			}
		}
yy275:
		YYDEBUG(275, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 387 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 3664 "Zend/zend_ini_scanner.c"
yy276:
		YYDEBUG(276, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(277, *YYCURSOR);
		if (yych == '\t') goto yy276;
		if (yych == ' ') goto yy276;
		goto yy275;
yy278:
		YYDEBUG(278, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy275;
					if (yych <= 0x08) goto yy258;
					if (yych <= '\t') goto yy276;
					goto yy275;
				} else {
					if (yych == '\r') goto yy275;
					if (yych <= 0x1F) goto yy258;
					goto yy276;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '"') goto yy275;
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy275;
					goto yy258;
				} else {
					if (yych <= '9') goto yy259;
					if (yych == ';') goto yy275;
					goto yy258;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'N') {
					if (yych <= '=') goto yy275;
					if (yych <= '@') goto yy258;
					if (yych <= 'M') goto yy259;
					goto yy281;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'n') goto yy281;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy275;
					goto yy258;
				}
			}
		}
yy279:
		YYDEBUG(279, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy258;
					if (yych <= 'K') goto yy259;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy280;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy280:
		YYDEBUG(280, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy258;
					if (yych <= 'K') goto yy259;
					goto yy274;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy274;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy281:
		YYDEBUG(281, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy258;
					if (yych <= 'D') goto yy259;
					goto yy274;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy274;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy282:
		YYDEBUG(282, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy258;
					if (yych <= 'K') goto yy259;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy283;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy283:
		YYDEBUG(283, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy258;
					if (yych <= 'R') goto yy259;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy284;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy284:
		YYDEBUG(284, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy251;
					if (yych <= 0x08) goto yy258;
					goto yy251;
				} else {
					if (yych == '\r') goto yy251;
					if (yych <= 0x1F) goto yy258;
					goto yy251;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy258;
					if (yych <= ')') goto yy251;
					if (yych <= '/') goto yy258;
					goto yy259;
				} else {
					if (yych == ';') goto yy251;
					if (yych <= '<') goto yy258;
					goto yy251;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy258;
					if (yych <= 'D') goto yy259;
					goto yy274;
				} else {
					if (yych <= 'Z') goto yy259;
					if (yych == '_') goto yy259;
					goto yy258;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy274;
					if (yych <= 'z') goto yy259;
					goto yy258;
				} else {
					if (yych == '}') goto yy258;
					if (yych <= '~') goto yy251;
					goto yy258;
				}
			}
		}
yy285:
		YYDEBUG(285, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy286:
		YYDEBUG(286, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy285;
		}
		if (yych >= '\r') goto yy289;
yy287:
		YYDEBUG(287, *YYCURSOR);
		++YYCURSOR;
yy288:
		YYDEBUG(288, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 486 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 4046 "Zend/zend_ini_scanner.c"
yy289:
		YYDEBUG(289, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy287;
		goto yy288;
yy290:
		YYDEBUG(290, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(291, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy290;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy246;
					goto yy257;
				} else {
					if (yych <= '\n') goto yy246;
					if (yych <= '\f') goto yy257;
					goto yy246;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy257;
					goto yy246;
				} else {
					if (yych == '$') goto yy262;
					goto yy257;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy246;
					goto yy257;
				} else {
					if (yych == '<') goto yy257;
					goto yy246;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy257;
					goto yy246;
				} else {
					if (yych == '~') goto yy246;
					goto yy257;
				}
			}
		}
yy292:
		YYDEBUG(292, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(293, *YYCURSOR);
		if (yych <= '-') {
			if (yych <= 0x1F) {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy246;
					if (yych <= 0x08) goto yy257;
					goto yy246;
				} else {
					if (yych == '\r') goto yy246;
					goto yy257;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy246;
					if (yych <= '#') goto yy257;
					goto yy262;
				} else {
					if (yych <= '%') goto yy257;
					if (yych <= ')') goto yy246;
					goto yy257;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '.') goto yy290;
					if (yych <= '/') goto yy257;
					goto yy292;
				} else {
					if (yych == ';') goto yy246;
					goto yy257;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy246;
					if (yych <= '{') goto yy257;
					goto yy246;
				} else {
					if (yych == '~') goto yy246;
					goto yy257;
				}
			}
		}
yy294:
		YYDEBUG(294, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(295, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy246;
					goto yy257;
				} else {
					if (yych <= '\n') goto yy246;
					if (yych <= '\f') goto yy257;
					goto yy246;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy257;
					if (yych <= '"') goto yy246;
					goto yy257;
				} else {
					if (yych <= '$') goto yy262;
					if (yych <= '%') goto yy257;
					goto yy246;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy257;
					goto yy294;
				} else {
					if (yych == ';') goto yy246;
					goto yy257;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy246;
					if (yych <= '{') goto yy257;
					goto yy246;
				} else {
					if (yych == '~') goto yy246;
					goto yy257;
				}
			}
		}
yy296:
		YYDEBUG(296, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(297, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy246;
					goto yy257;
				} else {
					if (yych <= '\n') goto yy246;
					if (yych <= '\f') goto yy257;
					goto yy246;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy257;
					if (yych <= '"') goto yy246;
					goto yy257;
				} else {
					if (yych <= '$') goto yy262;
					if (yych <= '%') goto yy257;
					goto yy246;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy257;
					goto yy296;
				} else {
					if (yych == ';') goto yy246;
					goto yy257;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy246;
					if (yych <= '{') goto yy257;
					goto yy246;
				} else {
					if (yych == '~') goto yy246;
					goto yy257;
				}
			}
		}
yy298:
		YYDEBUG(298, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(299, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy298;
		}
		YYDEBUG(300, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(301, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 4267 "Zend/zend_ini_scanner.c"
yy302:
		YYDEBUG(302, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(303, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 4278 "Zend/zend_ini_scanner.c"
yy304:
		YYDEBUG(304, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy305:
		YYDEBUG(305, *YYCURSOR);
		if (yych == '\t') goto yy304;
		if (yych == ' ') goto yy304;
		goto yy238;
yy306:
		YYDEBUG(306, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy235;
yy307:
		YYDEBUG(307, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy308:
		YYDEBUG(308, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy233;
				if (yych <= '\t') goto yy307;
				goto yy306;
			} else {
				if (yych == '\r') goto yy310;
				goto yy233;
			}
		} else {
			if (yych <= '"') {
				if (yych <= ' ') goto yy307;
				if (yych <= '!') goto yy233;
			} else {
				if (yych == ';') goto yy285;
				goto yy233;
			}
		}
		YYDEBUG(309, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy240;
yy310:
		YYDEBUG(310, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy306;
		goto yy235;
	}
/* *********************************** */
yyc_ST_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
		};
		YYDEBUG(311, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy315;
			} else {
				if (yych <= '@') goto yy313;
				if (yych <= 'Z') goto yy315;
			}
		} else {
			if (yych <= 'z') {
				if (yych != '`') goto yy315;
			} else {
				if (yych == '}') goto yy317;
			}
		}
yy313:
		YYDEBUG(313, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(314, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 497 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 4391 "Zend/zend_ini_scanner.c"
yy315:
		YYDEBUG(315, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy320;
yy316:
		YYDEBUG(316, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 374 "Zend/zend_ini_scanner.l"
		{ /* Variable name */
	RETURN_TOKEN(TC_VARNAME, yytext, yyleng);
}
#line 4404 "Zend/zend_ini_scanner.c"
yy317:
		YYDEBUG(317, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(318, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 378 "Zend/zend_ini_scanner.l"
		{ /* Variable end */
	yy_pop_state(TSRMLS_C);
	return '}';
}
#line 4415 "Zend/zend_ini_scanner.c"
yy319:
		YYDEBUG(319, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy320:
		YYDEBUG(320, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy319;
		}
		goto yy316;
	}
}
#line 501 "Zend/zend_ini_scanner.l"

}
